\documentclass[10pt]{article}
\usepackage[usenames]{color} %used for font color
\usepackage{amssymb} %maths
\usepackage{amsmath} %maths
\usepackage[utf8]{inputenc} %useful to type directly diacritic characters
\begin{document}
\begin{align*} 
\text{AMP} &= \text{carrier amplitude}
\\
f_c &= \text{carrier frequency (Hz)}
\\
f_m &= \text{modulator frequency (Hz)}
\\
m &= \text{modulation index}
\\
\end{align*}

\end{document}